Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159056 - ntpd segfaults when loopif is unconfigured
Summary: ntpd segfaults when loopif is unconfigured
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ntp
Version: 1
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Miroslav Lichvar
QA Contact: Brian Brock
URL: https://ntp.isc.org/bugs/show_bug.cgi...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-28 09:55 UTC by Christiaan Simons
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-23 09:56:58 UTC


Attachments (Terms of Use)
ntp-4.2.0.a.20050816-2.src.rpm (incl. traces) (deleted)
2006-01-20 11:25 UTC, Petr Raszyk
no flags Details

Description Christiaan Simons 2005-05-28 09:55:08 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041107 Firefox/1.0

Description of problem:
When trying to start ntpd without a configured 'lo' interface it crashes. This is an odd situation, which will typically not occur. It was reported to ntp.org
coders as case 420.

Version-Release number of selected component (if applicable):
4.1 and 4.2

How reproducible:
Always

Steps to Reproduce:
1. No daemon in background.
2. Unconfigure your loop if, (no IP, but UP!).
3. run ntpd -d (debug mode)
  

Actual Results:  Segmentation fault after a few seconds, not immediatly.

Expected Results:  It should complian about loopif being unavailable.

Additional info:

Comment 1 Petr Raszyk 2006-01-20 11:25:20 UTC
Created attachment 123475 [details]
ntp-4.2.0.a.20050816-2.src.rpm (incl. traces)

Can you compile and install ntp-4.2.0.a.20050816-2.src.rpm above ?
Can you 'run' ntpd in your scenario ?
It creates (3-4) /tmp/ntpd*.PID files.
It contains autotrace+autodebug informations.
Please, can you send me these files ?

Comment 2 Miroslav Lichvar 2006-02-23 09:56:58 UTC
Fixed in rawhide.


Note You need to log in before you can comment on or make changes to this bug.